# right angle line digits

import pygame.draw
import math

def init(_bg, fg):
    global bg, font
    bg = _bg

    font = pygame.Surface( (5*10, 5), depth = 8)
    font.fill(bg)

    # 0
    pygame.draw.lines(font, fg, True, [(0,0),(4,0),(4,4),(0,4)])
    # 1
    pygame.draw.line(font, fg, (7,0), (7,4))
    # 2
    pygame.draw.lines(font, fg, False, [(10,0),(14,0),(14,2),(10,2),(10,4),(14,4)])
    # 3
    pygame.draw.lines(font, fg, False, [(15,0),(19,0),(19,4),(15,4)])
    pygame.draw.line(font, fg, (15,2), (19,2))
    # 4
    pygame.draw.lines(font, fg, False, [(20,0),(20,2),(24,2)])
    pygame.draw.line(font, fg, (24,0), (24,4))
    # 5
    pygame.draw.lines(font, fg, False, [(29,0),(25,0),(25,2),(29,2),(29,4),(25,4)])
    # 6
    pygame.draw.lines(font, fg, False, [(34,0),(30,0),(30,4),(34,4),(34,2),(30,2)])
    # 7
    pygame.draw.lines(font, fg, False, [(35,0),(39,0),(39,4)])
    # 8
    pygame.draw.lines(font, fg, True, [(40,0),(40,4),(44,4),(44,0)])
    pygame.draw.line(font, fg, (40,2), (44,2))
    # 9
    pygame.draw.lines(font, fg, False, [(45,4),(49,4),(49,0),(45,0),(45,2),(49,2)])

def render_number(n):
    n = int(n)
    if n == 0:
        digits = 1
    else:
        digits = int(math.log10(n))+1
    s = pygame.Surface((digits*6+1,7), depth=8)
    s.fill(bg)
    for i in range(digits-1,-1,-1):
        pos = (1+i*6,1)
        dig = n % 10
        s.set_clip(pygame.Rect(pos,(5,5)))
        s.blit(font, (pos[0]-dig*5,pos[1]))
        n = n // 10
    s.set_clip(None)
    return s
